//
//  UIView+OSVisualDebugging.h
//  Ocasta Studios
//
//  Created by Chris Birch on 24/08/2012.
//  Copyright (c) 2012 Ocasta Studios. All rights reserved.
//

/**
 * DO NOT UNDER ANY CIRCUMSTANCE leave in production code!!!!!
 * This is only for debugging/layout purposes.
 *
 * Performs the following functions:
 * - information about a tapped view (and its superview) is logged to console
 * - tapped view changes background colour to random colour
 * - Views (and Buttons!) can be dragged around the screen, when they come to rest, their frame is logged out to the console
 */

#import <UIKit/UIKit.h>

@interface UIView (OSVisualDebugging)

@property(nonatomic,readonly) NSString* visualDebuggingInfo;

/**
 * Prints details about this view out into the log
 */
-(void)logVisualDebuggingInfo;
-(UIColor *)randomColour;

@end
